Bug 25987 - Radio buttons are misaligned in New label batches
Summary: Radio buttons are misaligned in New label batches
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-14 21:12 UTC by Caroline Cyr La Rose
Modified: 2020-08-03 22:39 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 25987: Fix alignment of fields in label batch creation form (4.32 KB, patch)
2020-07-14 21:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25987: Fix alignment of fields in label batch creation form (4.40 KB, patch)
2020-07-14 21:42 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 25987: Fix alignment of fields in label batch creation form (4.47 KB, patch)
2020-07-15 05:47 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2020-07-14 21:12:48 UTC
When you go in Tools > Label creator > New > Label batch, the Enter by barcode and Enter by itemnumber radio buttons are misaligned.
Comment 1 Owen Leonard 2020-07-14 21:36:47 UTC
Created attachment 106880 [details] [review]
Bug 25987: Fix alignment of fields in label batch creation form

This patch makes minor markup changes to the template for the label
batch creation process so that form fields line up correctly.

Unrelated change: A hint has been moved out of the label area to below
the textarea in order to conform with established patterns.

To test, apply the patch and go to Tools > Label creator > New > Label
batch.

 - In the batch creation form the "Enter by itemnumber" and "Enter by
   barcode" should be aligned correctly with each other.
 - The "One number per line..." hint should appear below the textarea.
 - Test that the form fields are still correctly aligned after adding
   some items to the batch and the "description" field is shown in the
   form.
Comment 2 Caroline Cyr La Rose 2020-07-14 21:42:13 UTC
Created attachment 106881 [details] [review]
Bug 25987: Fix alignment of fields in label batch creation form

This patch makes minor markup changes to the template for the label
batch creation process so that form fields line up correctly.

Unrelated change: A hint has been moved out of the label area to below
the textarea in order to conform with established patterns.

To test, apply the patch and go to Tools > Label creator > New > Label
batch.

 - In the batch creation form the "Enter by itemnumber" and "Enter by
   barcode" should be aligned correctly with each other.
 - The "One number per line..." hint should appear below the textarea.
 - Test that the form fields are still correctly aligned after adding
   some items to the batch and the "description" field is shown in the
   form.

Works for me!

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Comment 3 Katrin Fischer 2020-07-15 05:47:09 UTC
Created attachment 106888 [details] [review]
Bug 25987: Fix alignment of fields in label batch creation form

This patch makes minor markup changes to the template for the label
batch creation process so that form fields line up correctly.

Unrelated change: A hint has been moved out of the label area to below
the textarea in order to conform with established patterns.

To test, apply the patch and go to Tools > Label creator > New > Label
batch.

 - In the batch creation form the "Enter by itemnumber" and "Enter by
   barcode" should be aligned correctly with each other.
 - The "One number per line..." hint should appear below the textarea.
 - Test that the form fields are still correctly aligned after adding
   some items to the batch and the "description" field is shown in the
   form.

Works for me!

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-07-20 12:08:30 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-07-24 23:08:44 UTC
backported to 20.05.x for 20.05.03
Comment 6 Aleisha Amohia 2020-08-03 22:39:17 UTC
minor aesthetic enhancement, not backported to 19.11.x